<div class="container">
    <div class="container-inner">
        <!--breadcrumb start -->
        <nav class="breadcrumb">
        <a class="breadcrumb-item" href="#/dashboard"><i class="fa fa-home" aria-hidden="true"></i>Home</a>
        <a class="breadcrumb-item" href="#/reviewlisting">Review List</a>
        <span class="breadcrumb-item active">HH Approval</span>
        </nav>
        <div class="alert alert-success" role="alert" data-ng-show="reviewSuccessfull">
            {{message}}
        </div>
        <div class="alert alert-danger" role="alert" data-ng-show="reviewFailed">
            {{message}}
        </div>
        <!--breadcrumb end -->
        <!--wrapper-wrap start -->
        <div class="wrapper-wrap">
        <div class="row">
            <div class="col-sm-6">
            <div class="col-sm-4">
                <label>Reference Number - </label>
            </div>
            <div class="col-sm-8">
                Lorem Ipsum
            </div>
            </div>
            <div class="col-sm-6">
            <div class="col-sm-4">
                <label>Focal Point Name - </label>
            </div>
            <div class="col-sm-8">
                Lorem Ipsum
            </div>
            </div>
        </div>
        <hr class="dotted-line"></hr>
        <div class="row">
            <div class="col-sm-6">
            <div class="col-sm-4">
                <label>Request Type - </label>
            </div>
            <div class="col-sm-8">
                Lorem Ipsum
            </div>
            </div>
            <div class="col-sm-6">
            <div class="col-sm-4">
                <label>Director Name - </label>
            </div>
            <div class="col-sm-8">
                Lorem Ipsum
            </div>
            </div>
        </div>
        <hr class="dotted-line"></hr>
        <div class="row">
            <div class="col-sm-offset-9 col-sm-1">
                <button type="button" class="btn btn-info add-row" data-toggle="modal" data-target="#documentModal">Add Other Documents</button>
            </div>
            <div class="col-xs-12">
                <!-- <div class="col-xs-2">
                    <span>Upload Endorsement Letter</span>
                </div>
                <div class="col-xs-3">
                    <span>
                        <input type="file" ng-model="approvalDocument" file-model as-file id="approvalDocument" style="display:none;" class="uploadElement"></input>
                        <input class="form-control form-input" type="text" ng-model="uploadedDocuments.approvalDocument[0].name" data-ng-click="openFileInput()" readonly="readonly"></input>
                    </span>
                </div>
                <div class="col-xs-1">
                    <button type="button" class="btn approval" data-ng-click="uploadDocument()">UPLOAD</button>
                </div> -->
                <table class="table table-red table-bordered">
                    <thead>
                        <tr>
                            <td width="20%">Document Name</td>
                            <td width="10%">Type</td>
                            <td width="30%">File</td>
                            <td width="40%">Comments</td>
                            <td width="5%">Action</td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr data-ng-repeat="item in uploadedDocuments">
                            <td>
                                {{item.name}}
                            </td>
                            <td>
                                <select class="form-control form-select-new" data-ng-model="item.type">
                                    <option value="Link">Link</option>
                                    <option value="File">File</option>
                                </select>
                            </td>
                            <td>
                                <input type="text" class="form-control form-input-new" data-ng-model="item.file" data-ng-if="item.type == 'Link'" placeholder="Enter URL here"></input>
                                <input type="file" ng-model="item.file" file-model as-file id="input-{{$index}}" style="display:none;" data-ng-if="item.type == 'File'" class="uploadElement"></input>
                                <input class="form-control form-input" type="text" ng-model="item.file[0].name" data-ng-click="openFileInput($index)" data-ng-if="item.type == 'File'" readonly="readonly"></input>
                            </td>
                            <td>
                                <textarea class="form-control form-input-new" data-ng-model="item.comment"></textarea>
                            </td>
                            <td>
                                <span data-ng-if="$index > 0" role="button" class="glyphicon glyphicon-remove" data-ng-click="deleteFileFromUpload($index)"></span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <!-- Table to show uploaded Docs -->
        <!-- <div class="row" data-ng-if="uploadedDocumentsToSend.length > 0">
            <div class="col-sm-12">
                <div class="table-responsive">
                    <span>Uploaded Documents</span>
                    <table class="table table-red table-bordered">
                        <thead>
                            <tr>
                            <td width="30%">File</td>
                            <td width="5%">Action</td>
                            </tr>
                        </thead>
                        <tbody>
                            <tr data-ng-repeat="item in uploadedDocumentsToSend">
                            <td>
                                {{item[0].name}}
                            </td>
                            <td style="text-align: center;">
                                <span role="button" class="glyphicon glyphicon-remove" data-ng-click="deleteFile($index)"></span>
                            </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div> -->
        <hr class="dotted-line"></hr>
        <!-- comments sections -->
        <div class="row mTop review-submitted-doc">
            <div class="col-xs-12">
            <label>Remarks by {{loggedUser.role}}</label>
            <textarea data-ng-model="review.overallComments"></textarea>
            </div>
        </div>
        <div class="row review-submitted-doc">
            <div class="col-xs-2 pTop pull-right">
            <button type="button" data-ng-click="exitClick()" class="btn approval">EXIT</button>
            <button type="button" class="btn approval" data-ng-click="onSubmit()">SUBMIT</button>
            </div>
        </div>
        <!-- buttons sections -->
        <div class="clear"></div>
        </div>
    </div>
</div>

<!-- Modal -->
<div data-ng-include="system + 'components/uploadDocumentModal.html'"></div>